# Uses of Class
org.apache.avro.ipc.RPCContext

Packages that use RPCContext
Package
Description
org.apache.avro.ipc
Support for inter-process calls.
org.apache.avro.ipc.stats
Utilities to collect and display IPC statistics.

## Uses of RPCContext in org.apache.avro.ipc

Methods in org.apache.avro.ipc with parameters of type RPCContext
Modifier and Type
Method
Description
`void`
RPCPlugin.`clientFinishConnect(RPCContext context)`
Called on the client after the initial RPC handshake
`void`
RPCPlugin.`clientReceiveResponse(RPCContext context)`
This method is invoked at the client after the call is executed, and after the client receives the response
`void`
RPCPlugin.`clientSendRequest(RPCContext context)`
This method is invoked at the client before it issues the RPC call.
`void`
RPCPlugin.`clientStartConnect(RPCContext context)`
Called on the client before the initial RPC handshake to setup any handshake metadata for this plugin
`void`
RPCPlugin.`serverConnecting(RPCContext context)`
Called on the server during the RPC handshake
`void`
RPCPlugin.`serverReceiveRequest(RPCContext context)`
This method is invoked at the RPC server when the request is received, but before the call itself is executed
`void`
RPCPlugin.`serverSendResponse(RPCContext context)`
This method is invoked at the server before the response is executed, but before the response has been formulated

## Uses of RPCContext in org.apache.avro.ipc.stats

Methods in org.apache.avro.ipc.stats with parameters of type RPCContext
Modifier and Type
Method
Description
`void`
StatsPlugin.`clientReceiveResponse(RPCContext context)`
`void`
StatsPlugin.`clientSendRequest(RPCContext context)`
`void`
StatsPlugin.`serverReceiveRequest(RPCContext context)`
`void`
StatsPlugin.`serverSendResponse(RPCContext context)`